#
# Copyright (c) 2003 Linuxant inc.
# Copyright (c) 2001-2003 Conexant Systems, Inc.
#
# NOTE: The use and distribution of this software is governed by the terms in
# the file LICENSE, which is included in the package. You must read this and
# agree to these terms before using or distributing this software.
# 
TOP=../..

include ../common.mak

OBJS=	\
		osmemory.o osstring.o osdebug.o osfloat.o osstdio.o \
		osmodule.o osnvm.o ostime.o linuxres.o

ifeq ($(IMPORTED_SCR_SUPPORT),yes)
OBJS+= cdbgscr.o
endif

CFLAGS += -D__NO_VERSION__
CFLAGS += -DHSFBININF_FILE=\"$(HSFBININF_FILE)\"
CFLAGS += -DHSFFIRMWR_FILE=\"$(HSFFIRMWR_FILE)\"

CFLAGS += -DHSFLINUXVERSION="\"$(HSFLINUXVERSION)\""

all: libosspec.a

libosspec.a: $(OBJS)
	$(AR) cr $@ $^

